Site Announcements


Showing 100 of 102 discussions
  Discussion Started by Replies Last post Created  
Programme series on Improving psycological well being
Picture of Anuruddhika Dissanayake
Anuruddhika Dissanayake
0 Fri, 15 Oct 2021, 3:29 PM
LOGO Design Competition
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Thu, 14 Oct 2021, 8:25 AM
Meeting with all the students of the FVMAS
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Wed, 13 Oct 2021, 1:44 PM
Notice to all students of the FVMAS
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Fri, 8 Oct 2021, 11:12 AM
Important Notice for All Students - Vaccination of University Students
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Mon, 4 Oct 2021, 11:58 AM
Examination Results: Third BVSc - Semester 5 and Final BVSc - Semester 7
Picture of DMS Munasinghe
DMS Munasinghe
0 Thu, 23 Sep 2021, 7:57 PM
VET TALENT SHOW
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Thu, 9 Sep 2021, 10:58 AM
Virtual International Student Exchange Programme
Picture of DMS Munasinghe
DMS Munasinghe
0 Tue, 17 Aug 2021, 9:05 AM
Batch 2015/ 2016: Code of Conduct for Clinical Examinations
Picture of DMS Munasinghe
DMS Munasinghe
0 Sun, 25 Jul 2021, 3:18 PM
Examination Results - First BVsc (Repeat) and Second BVSc - Semester 3 (Repeat)
Picture of DMS Munasinghe
DMS Munasinghe
0 Wed, 30 Jun 2021, 3:29 PM
Notice for all students of Batches 2018/ 2019, 2017/2018
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Tue, 1 Jun 2021, 5:39 PM
Veterinary Pathology S4 Lecture Schedule
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Mon, 31 May 2021, 11:37 AM
Semester 4
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Tue, 18 May 2021, 12:31 PM
CWZA - Reproduction and Obstetrics I (CWZA413)Online Lecture on Neonatal Care and Management
Picture of Suranji Wijekoon
Suranji Wijekoon
0 Fri, 14 May 2021, 10:53 PM
In- course Assessment I/II - Integration 1-VS1106
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Mon, 10 May 2021, 4:19 PM
Suspension of the Academic Programme
Picture of DMS Munasinghe
DMS Munasinghe
0 Fri, 30 Apr 2021, 3:47 PM
Notice for all students of Batches 2015/ 2016 & 2016/ 2017
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Thu, 18 Mar 2021, 4:10 PM
First BVSc (Repeat) Examination - March 2021 - Residential Facilities
Picture of DMS Munasinghe
DMS Munasinghe
0 Fri, 5 Feb 2021, 1:15 PM
Examination Notice for the Batch 2016/17
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Fri, 22 Jan 2021, 12:35 PM
Update your ZOOM Application
Picture of Sampath Lokugalappatti
Sampath Lokugalappatti
0 Mon, 18 Jan 2021, 8:55 AM
Health Guidelines for all students in the university
Picture of DMS Munasinghe
DMS Munasinghe
0 Tue, 12 Jan 2021, 8:25 AM
Batch 2016/2017 Zoom meeting
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Mon, 11 Jan 2021, 2:18 PM
Second BVSc Batch 2016/2017
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Fri, 8 Jan 2021, 9:05 PM
Second BVSc Batch 2016/2017
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Fri, 8 Jan 2021, 9:01 PM
Second BVSc Batch 2016/2017
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Fri, 8 Jan 2021, 8:36 PM
Faculty Restart Batch 2016/2017
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Fri, 8 Jan 2021, 7:08 PM
Commencement of Lectures of the Second Semester Y1S2
Picture of Anoja Wanigasekara
Anoja Wanigasekara
0 Mon, 4 Jan 2021, 2:26 PM
Results - First BVSc Examination (Jul/ Aug 2020) - Batch 2017/ 2018
Picture of DMS Munasinghe
DMS Munasinghe
0 Wed, 23 Dec 2020, 3:52 PM
Student Notice - Hall Fees and Fines
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Mon, 21 Dec 2020, 4:24 PM
Message for students who participated in survey on internet access
Picture of DMS Munasinghe
DMS Munasinghe
0 Wed, 16 Dec 2020, 9:34 AM
Semester 5 repeat examination
Picture of Madhavi Hathurusinghe
Madhavi Hathurusinghe
0 Fri, 11 Dec 2020, 3:31 PM
CWZA Medicine lectures for S7 students
Picture of Anuruddhika Dissanayake
Anuruddhika Dissanayake
0 Sat, 21 Nov 2020, 8:38 PM
IMPORTANT: Use of university email address for correspondence
Picture of DMS Munasinghe
DMS Munasinghe
0 Tue, 17 Nov 2020, 12:23 PM
Assignment on parasitic zoonoses (Batch 2016/2017)
Picture of Ruwani Kalupahana
Ruwani Kalupahana
0 Fri, 16 Oct 2020, 10:22 AM
Notice - Second BVSc Students (Batch 2017/2018)
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Wed, 14 Oct 2020, 11:37 AM
Examination notice for Batch 2016/2017
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Tue, 15 Sep 2020, 11:14 AM
Batch 2017/2018 -Semester 3 and Semester 4 Calendar of Dates
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Tue, 15 Sep 2020, 11:10 AM
2nd BVSc Semester 3 Time Table
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Tue, 15 Sep 2020, 11:05 AM
Resumption of the Academic Programme
Picture of DMS Munasinghe
DMS Munasinghe
0 Thu, 20 Aug 2020, 8:36 AM
Second BVSc - Semester 3 - January 2020 - Batch 2016/ 2017 - Examination Results
Picture of DMS Munasinghe
DMS Munasinghe
0 Wed, 8 Jul 2020, 10:27 AM
Examination Guidlines During COVID-19
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Wed, 8 Jul 2020, 6:35 AM
Attention S5 Students
Picture of Dr.Chanaka Rabel
Dr.Chanaka Rabel
0 Tue, 7 Jul 2020, 3:37 PM
NOTICE FOR ALL STUDENTS
Picture of Dilan Satharasinghe
Dilan Satharasinghe
0 Thu, 2 Jul 2020, 10:01 AM
VPB211 Pathology I
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Wed, 1 Jul 2020, 2:22 PM
Attention Students of S5
Picture of Dr.Chanaka Rabel
Dr.Chanaka Rabel
0 Wed, 1 Jul 2020, 12:41 PM
Attention S5 Students
Picture of Dr.Chanaka Rabel
Dr.Chanaka Rabel
0 Tue, 30 Jun 2020, 8:30 AM
IOB Challenge - Student Competition
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Wed, 24 Jun 2020, 7:58 PM
Assignment 1 for S8 students
Picture of GDRK Perera
GDRK Perera
0 Thu, 18 Jun 2020, 10:53 AM
Attention students of batch 2016/2017
Picture of Madhavi Hathurusinghe
Madhavi Hathurusinghe
0 Thu, 18 Jun 2020, 1:36 AM
Fish Biology and Aquaculture
Picture of NMN Fouzi
NMN Fouzi
0 Tue, 16 Jun 2020, 11:51 PM
Pathology I (VPB211)
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Tue, 16 Jun 2020, 4:09 PM
Batch 2015/2016 S7 Lectures
Picture of Anuruddhika Dissanayake
Anuruddhika Dissanayake
0 Sun, 14 Jun 2020, 11:54 PM
Notice for Batch 2017/2018
Picture of Anil Kalupahana
Anil Kalupahana
0 Sun, 14 Jun 2020, 11:34 PM
Batch 2016/2017_S5_CWZA Medicine I
Picture of Anuruddhika Dissanayake
Anuruddhika Dissanayake
0 Sun, 14 Jun 2020, 11:31 PM
NOTICE FOR ALL STUDENTS
Picture of DMS Munasinghe
DMS Munasinghe
0 Sat, 13 Jun 2020, 9:03 AM
Batch 2018/ 2019 - Anatomy & Physiology I
Picture of Nilmini Jayasena
Nilmini Jayasena
0 Fri, 5 Jun 2020, 7:29 AM
S1 Batch 2018/2019
Picture of Dilan Satharasinghe
Dilan Satharasinghe
0 Wed, 3 Jun 2020, 8:29 PM
S7 lectures
Picture of Anuruddhika Dissanayake
Anuruddhika Dissanayake
0 Mon, 1 Jun 2020, 1:55 AM
STUDENT SURVEY ON E-LEARNING
Picture of DMS Munasinghe
DMS Munasinghe
0 Sun, 31 May 2020, 10:04 PM
S1 Batch 2018/2019
Picture of Dilan Satharasinghe
Dilan Satharasinghe
0 Sun, 31 May 2020, 7:46 PM
S8-Batch 2014/2015
Picture of Suranji Wijekoon
Suranji Wijekoon
0 Sun, 31 May 2020, 1:01 PM
Batch 2018/2019
Picture of Niromi Jayasekera
Niromi Jayasekera
0 Wed, 27 May 2020, 10:25 AM
S7 Lecture Schedule_ Batch 2015/2016
Picture of Anuruddhika Dissanayake
Anuruddhika Dissanayake
0 Tue, 26 May 2020, 11:04 PM
Discussion for batch 2015/2016 on Veterinary Public Health
Picture of Thusitha Karunaratna
Thusitha Karunaratna
0 Tue, 26 May 2020, 8:06 PM
New Lesson - Batch 2018/2019
Picture of Sampath Lokugalappatti
Sampath Lokugalappatti
0 Mon, 25 May 2020, 11:15 AM
CWZA Medicine- Discussions
Picture of Nayana Wijewardhane
Nayana Wijewardhane
0 Sat, 23 May 2020, 2:10 PM
FA Medicine IV-Aquatic Medicine
Picture of Samanthika Jagoda
Samanthika Jagoda
0 Thu, 21 May 2020, 8:54 AM
Batch 2018/2019
Picture of Niromi Jayasekera
Niromi Jayasekera
0 Tue, 19 May 2020, 12:30 PM
New Lesson - Batch 2018/2019
Picture of Sampath Lokugalappatti
Sampath Lokugalappatti
0 Sun, 17 May 2020, 9:43 PM
FA Medicine IV - Aquatic Medicine
Picture of Samanthika Jagoda
Samanthika Jagoda
0 Thu, 14 May 2020, 5:39 PM
Batch 2015/2016 (S6)
Picture of Madhavi Hathurusinghe
Madhavi Hathurusinghe
0 Tue, 12 May 2020, 1:24 AM
Students of Batch 2018/2019
Picture of Niromi Jayasekera
Niromi Jayasekera
0 Mon, 11 May 2020, 10:32 AM
FLQAC
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Mon, 11 May 2020, 10:16 AM
Batch 2016/2017 S4 students
Picture of Anil Kalupahana
Anil Kalupahana
0 Sat, 9 May 2020, 9:48 AM
Veterinary Public Health I (VPHP 316)
Picture of Thusitha Karunaratna
Thusitha Karunaratna
0 Fri, 8 May 2020, 12:32 PM
VPB221 - Batch 2016/2017
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Mon, 4 May 2020, 1:24 PM
VPB221 - Batch 2016/2017
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Sun, 3 May 2020, 9:42 PM
Veterinary Public Health
Picture of Madhavi Hathurusinghe
Madhavi Hathurusinghe
0 Sat, 2 May 2020, 10:59 AM
Food Technology and Quality Assurance
Picture of Sanda Kottawatte
Sanda Kottawatte
0 Sat, 2 May 2020, 8:35 AM
FA Medicine IV- Aquatic Medicine
Picture of Samanthika Jagoda
Samanthika Jagoda
0 Thu, 30 Apr 2020, 6:09 PM
VPB221/Semester 4
Picture of Kavindra Wijesundra
Kavindra Wijesundra
0 Wed, 29 Apr 2020, 12:57 PM
S 6 Lecture Schedule
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Wed, 29 Apr 2020, 11:01 AM
CWZA Medicine II- VIDEO lecture by Dr. Nayana Wijayawardhane
Picture of Nayana Wijewardhane
Nayana Wijewardhane
0 Tue, 28 Apr 2020, 6:09 PM
Batch 2018/ 2019 - Marks released for Assignment on Nervous Tissue
Picture of Nilmini Jayasena
Nilmini Jayasena
0 Mon, 27 Apr 2020, 5:56 PM
Online lecture by Prof. A. Dangolla - Batch 2014/2015
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Sat, 25 Apr 2020, 11:00 AM
MESSAGE FROM THE DEAN TO ALL STUDENTS
Picture of Nilmini Jayasena
Nilmini Jayasena
0 Tue, 21 Apr 2020, 9:03 AM
Batch 2018/ 2019 - Assignment for English I (VS 1105)
Picture of Nilmini Jayasena
Nilmini Jayasena
0 Wed, 15 Apr 2020, 3:37 PM
Assignment- Carbohydrates (Biochemistry I- VS 1102) - Marks released
Picture of Dilan Satharasinghe
Dilan Satharasinghe
0 Tue, 14 Apr 2020, 10:18 AM
Marks for Assignment 1 (Integration I - VS1106) Updated after 2nd Attempt
Picture of Dr.Chanaka Rabel
Dr.Chanaka Rabel
0 Mon, 13 Apr 2020, 9:31 AM
Batch 2018/ 2019 - Assignment in Anatomy & Physiology I
Picture of Nilmini Jayasena
Nilmini Jayasena
0 Fri, 10 Apr 2020, 8:27 AM
2nd Attempt for Assignment 1 have been sent
Picture of Dr.Chanaka Rabel
Dr.Chanaka Rabel
0 Tue, 7 Apr 2020, 9:06 AM
All Internet Service Providers (ISPs) of Srl Lanka are providing free access to the University Hosted Web servers (including VeLS).
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Sat, 4 Apr 2020, 11:12 PM
VS1106 Assignment Marks Released
Picture of Dr.Chanaka Rabel
Dr.Chanaka Rabel
0 Mon, 30 Mar 2020, 10:19 AM
Assignment -Lipids
Picture of Dilan Satharasinghe
Dilan Satharasinghe
0 Sun, 29 Mar 2020, 9:47 PM
New Lesson and Assignments - English I - Batch2018/2019
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Sun, 29 Mar 2020, 12:58 AM
Online Lectures and Discussions - All batches of students of FVMAS
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Sun, 29 Mar 2020, 12:54 AM
Spot Test - Anatomy and Physiology I
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Thu, 26 Mar 2020, 5:20 PM
Biochemistry I - Assignment
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Sat, 21 Mar 2020, 10:50 PM
Recently Updated Courses - Batch 2018/2019
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Wed, 26 Feb 2020, 9:27 AM
An announcement by Dr. Nilmini Jayasena to the students of Batch 2018/2019
Picture of FVMAS Moodle_Admin
FVMAS Moodle_Admin
0 Sun, 23 Feb 2020, 11:12 AM